## glite-lbjp-common-server-bones 2.2.2

=== Makefile ===
# defaults
top_srcdir=..
stagedir=.
globalprefix=glite
lbutilsprefix=lbu
package=glite-lbjp-common-server-bones
version=0.0.1
PREFIX=/opt/glite
prefix=

CC=gcc

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/examples

DEBUG:=-g -O0 -Wall
CFLAGS:=${DEBUG} \
	-I${top_srcdir}/interface \
	-I${stagedir}${prefix}/include \
	-D_GNU_SOURCE ${CFLAGS}
LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}

ifdef LB_PROF
	CFLAGS:= ${CFLAGS} -pg -g
	LDFLAGS:= ${LDFLAGS} -pg
endif

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
INSTALL:=libtool --mode=install install

STATICLIB:=libglite_lbu_server_bones.a
LTLIB:=libglite_lbu_server_bones.la

OBJS:=srvbones.o
LOBJS:=${OBJS:.o=.lo}

HDRS:=srvbones.h

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: n/a
offset=0

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

default all: compile

compile: ${STATICLIB} ${LTLIB} example

${STATICLIB}: ${OBJS}
	ar crv $@ ${OBJS}
	ranlib $@

${LTLIB}: ${LOBJS}
	${LINK} ${version_info} -o $@ ${LOBJS} -lglite_lbu_log

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

check: example
	LOG4C_RCPATH=${PREFIX}${sysconfdir}/glite-lb ${top_srcdir}/examples/run_test.sh

example: srv_example cnt_example

srv_example: srv_example.o ${LTLIB}
	${LINK} -o $@ ${LTLIB} srv_example.o

cnt_example: cnt_example.o ${LTLIB}
	${LINK} -o $@ cnt_example.o

doc:

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 755 ${LTLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 644 ${STATICLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir} ; \
	cd ${top_srcdir}/interface && install -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}

clean:
	rm -rvf *.o *.lo .libs lib* srv_example cnt_example

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.o %.lo: %.c
	${COMPILE} -c $<

=== debian/changelog ===
glite-lbjp-common-server-bones (2.2.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:28:32 +0200

=== debian/control ===
Source: glite-lbjp-common-server-bones
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libglite-lbjp-common-log-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-server-bones2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skeleton of multi-process network server
 Multi-process network server. A server listening on multiple ports, passing
 inbound requests to slaves and maintaining connections to specific slaves if
 possible. The library provides callback handles on connection init, incoming
 request,
 etc.

Package: libglite-lbjp-common-server-bones-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-server-bones
Depends: libglite-lbu-server-bones2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common server bones
 This package contains development libraries and header files for gLite L&B/JP
 common server-bones.

Package: glite-lbjp-common-server-bones-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-server-bones2 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common server bones debugging symbols
 This package contains debugging symbols for gLite L&B/JP common server-bones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.server-bones
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rvf $(CURDIR)/debian/tmp/usr/share
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-server-bones-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-server-bones 2.3.1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,22 @@
 
 CC=gcc
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/examples
+
+SOURCES=\
+	examples/*.c examples/*.sh \
+	interface/*.h \
+	project/.post* \
+	src/*.c \
+	Makefile
+SOURCES_EXEC=examples/*.sh
 
 DEBUG:=-g -O0 -Wall
 CFLAGS:=${DEBUG} \
@@ -56,7 +66,7 @@
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
-default all: compile
+all: compile
 
 compile: ${STATICLIB} ${LTLIB} example
 
@@ -92,9 +102,12 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* srv_example cnt_example
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
 %.o %.lo: %.c
 	${COMPILE} -c $<
+
+.PHONY: default all compile stage check example doc install clean distclean dist distcheck

=== debian/changelog ===
glite-lbjp-common-server-bones (2.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

## glite-lbjp-common-server-bones 2.3.6

=== Makefile ===
--- 
+++ 
@@ -105,7 +105,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.o %.lo: %.c
 	${COMPILE} -c $<

=== debian/changelog ===
glite-lbjp-common-server-bones (2.3.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-lbjp-common-server-bones-dbg
+p_dev=libglite-lbjp-common-server-bones-dev
+p_lib=libglite-lbu-server-bones2
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +31,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,17 +40,20 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rvf $(CURDIR)/debian/tmp/usr/share
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -rvf debian/tmp/usr/share
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -54,7 +61,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-server-bones-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-server-bones 2.3.8

=== debian/changelog ===
glite-lbjp-common-server-bones (2.3.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -30,10 +30,10 @@
  This package contains development libraries and header files for gLite L&B/JP
  common server-bones.
 
-Package: glite-lbjp-common-server-bones-dbg
+Package: libglite-lbu-server-bones2-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbu-server-bones2 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP common server bones debugging symbols
+Description: Debugging symbols for gLite L&B/JP common server bones
  This package contains debugging symbols for gLite L&B/JP common server-bones.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lbjp-common-server-bones-dbg
+p_dbg=libglite-lbu-server-bones2-dbg
 p_dev=libglite-lbjp-common-server-bones-dev
 p_lib=libglite-lbu-server-bones2

## glite-lbjp-common-server-bones 2.3.9

=== Makefile ===
--- 
+++ 
@@ -86,9 +86,9 @@
 example: srv_example cnt_example
 
 srv_example: srv_example.o ${LTLIB}
-	${LINK} -o $@ ${LTLIB} srv_example.o
+	${LINK} -o $@ ${LTLIB} srv_example.o -lglite_lbu_log
 
-cnt_example: cnt_example.o ${LTLIB}
+cnt_example: cnt_example.o
 	${LINK} -o $@ cnt_example.o
 
 doc:

=== debian/changelog ===
glite-lbjp-common-server-bones (2.3.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:41 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Skeleton of multi-process network server
- Multi-process network server. A server listening on multiple ports, passing
+ The multi-process network server. A server listening on multiple ports, passing
  inbound requests to slaves and maintaining connections to specific slaves if
- possible. The library provides callback handles on connection init, incoming
- request,
+ possible. The library provides callback handles on connection initialization,
+ incoming request,
  etc.
 
 Package: libglite-lbjp-common-server-bones-dev

## glite-lbjp-common-server-bones 2.3.11

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 endif
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 STATICLIB:=libglite_lbu_server_bones.a
@@ -75,7 +75,7 @@
 	ranlib $@
 
 ${LTLIB}: ${LOBJS}
-	${LINK} ${version_info} -o $@ ${LOBJS} -lglite_lbu_log
+	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} -o $@ ${LOBJS} -lglite_lbu_log
 
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

=== debian/changelog ===
glite-lbjp-common-server-bones (2.3.11-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,12 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libglite-lbjp-common-log-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), libglite-lbjp-common-log-dev, libtool-bin
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: libglite-lbu-server-bones2
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Skeleton of multi-process network server
@@ -27,13 +23,24 @@
 Provides: glite-lbjp-common-server-bones
 Depends: libglite-lbu-server-bones2 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for gLite L&B/JP common server bones
+ The multi-process network server. A server listening on multiple ports, passing
+ inbound requests to slaves and maintaining connections to specific slaves if
+ possible. The library provides callback handles on connection initialization,
+ incoming request,
+ etc.
+ .
  This package contains development libraries and header files for gLite L&B/JP
  common server-bones.
 
 Package: libglite-lbu-server-bones2-dbg
 Section: debug
 Architecture: any
-Priority: extra
 Depends: libglite-lbu-server-bones2 (= ${binary:Version}), ${misc:Depends}
 Description: Debugging symbols for gLite L&B/JP common server bones
+ The multi-process network server. A server listening on multiple ports, passing
+ inbound requests to slaves and maintaining connections to specific slaves if
+ possible. The library provides callback handles on connection initialization,
+ incoming request,
+ etc.
+ .
  This package contains debugging symbols for gLite L&B/JP common server-bones.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-lbu-server-bones2-dbg
p_dev=libglite-lbjp-common-server-bones-dev
p_lib=libglite-lbu-server-bones2

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.server-bones/glite-lbjp-common-server-bones-(.*)\.tar\.gz
